NXOpen.UF.Vec2 Class

class NXOpen.UF.Vec2

Bases: object

Contains wrappers for all ‘UFVec2’ functions and data types.

Methods

NXOpen.UF.Vec2.Add Refer to UF_VEC2_add for documentation.
NXOpen.UF.Vec2.AffineComb Refer to UF_VEC2_affine_comb for documentation.
NXOpen.UF.Vec2.Components Refer to UF_VEC2_components for documentation.
NXOpen.UF.Vec2.ConvexComb Refer to UF_VEC2_convex_comb for documentation.
NXOpen.UF.Vec2.Copy Refer to UF_VEC2_copy for documentation.
NXOpen.UF.Vec2.Cross Refer to UF_VEC2_cross for documentation.
NXOpen.UF.Vec2.Distance Refer to UF_VEC2_distance for documentation.
NXOpen.UF.Vec2.Dot Refer to UF_VEC2_dot for documentation.
NXOpen.UF.Vec2.IsEqual Refer to UF_VEC2_is_equal for documentation.
NXOpen.UF.Vec2.IsZero Refer to UF_VEC2_is_zero for documentation.
NXOpen.UF.Vec2.LinearComb Refer to UF_VEC2_linear_comb for documentation.
NXOpen.UF.Vec2.Mag Refer to UF_VEC2_mag for documentation.
NXOpen.UF.Vec2.Midpt Refer to UF_VEC2_midpt for documentation.
NXOpen.UF.Vec2.Negate Refer to UF_VEC2_negate for documentation.
NXOpen.UF.Vec2.Rotate Refer to UF_VEC2_rotate for documentation.
NXOpen.UF.Vec2.Scale Refer to UF_VEC2_scale for documentation.
NXOpen.UF.Vec2.Sub Refer to UF_VEC2_sub for documentation.
NXOpen.UF.Vec2.Unitize Refer to UF_VEC2_unitize for documentation.
NXOpen.UF.Vec2.Vec3 Refer to UF_VEC2_vec3 for documentation.
NXOpen.UF.Vec2.AskPerpendicular Refer to UF_VEC2_ask_perpendicular for documentation.
NXOpen.UF.Vec2.IsParallel Refer to UF_VEC2_is_parallel for documentation.
NXOpen.UF.Vec2.IsPerpendicular Refer to UF_VEC2_is_perpendicular for documentation.